Upload new license file
PUT
/system/license
const url = 'https://example.com/api/v1/system/license';const options = {method: 'PUT', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/system/license \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Responses
Section titled “Responses”License updated
Media typeapplication/json
object
product
Product name
string
maxUsers
License user limit
integer
notBefore
Date string with time
string
notAfter
Date string with time
string
currentUsers
Number of currently existing users
integer
certificate
Download link for the certificate
string
Examplegenerated
{ "product": "example", "maxUsers": 1, "notBefore": "example", "notAfter": "example", "currentUsers": 1, "certificate": "example"}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}